org.apache.cassandra.db.marshal

## Class BooleanType

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractType<java.lang.Boolean>
  - - org.apache.cassandra.db.marshal.BooleanType

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>

    public class BooleanType
    extends AbstractType<java.lang.Boolean>

### Field Summary

Fields
`static BooleanType` `instance`

### Fields inherited from class org.apache.cassandra.db.marshal.AbstractType

`reverseComparator`

### Method Summary

All Methods Instance Methods Concrete Methods
`CQL3Type` `asCQL3Type()`
`int` `compare(java.nio.ByteBuffer o1, java.nio.ByteBuffer o2)`
`Term` `fromJSONObject(java.lang.Object parsed)` Given a parsed JSON string, return a byte representation of the object.
`java.nio.ByteBuffer` `fromString(java.lang.String source)` get a byte representation of the given string.
`TypeSerializer<java.lang.Boolean>` `getSerializer()`
`boolean` `isEmptyValueMeaningless()` Returns `true` for types where empty should be handled like `null` like `Int32Type`.
`java.lang.String` `toJSONString(java.nio.ByteBuffer buffer, int protocolVersion)` Converts the specified value into its JSON representation.

### Methods inherited from class org.apache.cassandra.db.marshal.AbstractType

`asCQLTypeStringList, compareCollectionMembers, componentsCount, compose, decompose, freeze, getComponents, getString, getString, isByteOrderComparable, isCollection, isCompatibleWith, isCounter, isFrozenCollection, isMultiCell, isReversed, isValueCompatibleWith, isValueCompatibleWithInternal, parseDefaultParameters, references, toString, toString, validate, validateCellValue, validateCollectionMember`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### instance

    public static final BooleanType instance

### Method Detail

#### isEmptyValueMeaningless

    public boolean isEmptyValueMeaningless()

Description copied from class: `AbstractType`
Returns `true` for types where empty should be handled like `null` like `Int32Type`.

Overrides:
  `isEmptyValueMeaningless` in class `AbstractType<java.lang.Boolean>`

#### compare

    public int compare(java.nio.ByteBuffer o1,
                       java.nio.ByteBuffer o2)

#### fromString

    public java.nio.ByteBuffer fromString(java.lang.String source)
                                   throws MarshalException

Description copied from class: `AbstractType`
get a byte representation of the given string.

Specified by:
  `fromString` in class `AbstractType<java.lang.Boolean>`
Throws:
  `MarshalException`

#### fromJSONObject

    public Term fromJSONObject(java.lang.Object parsed)
                        throws MarshalException

Description copied from class: `AbstractType`
Given a parsed JSON string, return a byte representation of the object.

Specified by:
  `fromJSONObject` in class `AbstractType<java.lang.Boolean>`
Parameters:
  `parsed` - the result of parsing a json string
Throws:
  `MarshalException`

#### toJSONString

    public java.lang.String toJSONString(java.nio.ByteBuffer buffer,
                                         int protocolVersion)

Description copied from class: `AbstractType`
Converts the specified value into its JSON representation.

The buffer position will stay the same.

Overrides:
  `toJSONString` in class `AbstractType<java.lang.Boolean>`
Parameters:
  `buffer` - the value to convert
  `protocolVersion` - the protocol version to use for the conversion
Returns:
  a JSON string representing the specified value

#### asCQL3Type

    public CQL3Type asCQL3Type()

Overrides:
  `asCQL3Type` in class `AbstractType<java.lang.Boolean>`

#### getSerializer

    public TypeSerializer<java.lang.Boolean> getSerializer()

Specified by:
  `getSerializer` in class `AbstractType<java.lang.Boolean>`